Index: calculatorview/perspectives/calculator/detector_editor.py
===================================================================
--- calculatorview/perspectives/calculator/detector_editor.py	(revision ad6f597281ffdc10ba61293ef7a8566da1421213)
+++ calculatorview/perspectives/calculator/detector_editor.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -5,7 +5,7 @@
 from DataLoader.data_info import Detector
 from sans.guiframe.utils import check_float
+
 _BOX_WIDTH = 60
-
-if sys.platform.count("win32")>0:
+if sys.platform.count("win32") > 0:
     _STATICBOX_WIDTH = 465
     PANEL_WIDTH = 500
@@ -19,6 +19,7 @@
     
 class DetectorDialog(wx.Dialog):
-    def __init__(self, parent=None, id=-1, manager=None, detector=None,
-                        title="Detector Editor",size=(PANEL_WIDTH, PANEL_HEIGHT)):
+    def __init__(self, parent=None, manager=None, detector=None,
+                        title="Detector Editor",
+                        size=(PANEL_WIDTH, PANEL_HEIGHT)):
         wx.Dialog.__init__(self, parent=parent, id=id, title=title, size=size)
         try:
@@ -86,5 +87,6 @@
         self.detector_txt = wx.StaticText(self, -1, detector_hint_txt) 
         self.detector_hint_sizer.Add(self.detector_txt, 0, wx.LEFT, 10)
-        self.detector_sizer.AddMany([(self.detector_button_sizer, 0, wx.ALL, 10),
+        self.detector_sizer.AddMany([(self.detector_button_sizer, 0,
+                                       wx.ALL, 10),
                                      (self.detector_hint_sizer, 0, wx.ALL, 10)])
      
@@ -98,7 +100,9 @@
         #Instrument
         instrument_name_txt = wx.StaticText(self, -1, 'Instrument Name : ')  
-        self.instrument_name_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH*5, 20), style=0) 
-        self.instrument_sizer.AddMany([(instrument_name_txt, 0, wx.LEFT|wx.RIGHT, 10),
-                                       (self.instrument_name_tcl, 0, wx.EXPAND)])
+        self.instrument_name_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH*5, 20), style=0) 
+        self.instrument_sizer.AddMany([(instrument_name_txt, 0, 
+                                        wx.LEFT|wx.RIGHT, 10),
+                                    (self.instrument_name_tcl, 0, wx.EXPAND)])
     def _layout_distance(self):
         """
@@ -106,7 +110,9 @@
         """
         distance_txt = wx.StaticText(self, -1, 'Sample to Detector Distance : ')  
-        self.distance_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)
+        self.distance_tcl = wx.TextCtrl(self, -1,
+                                         size=(_BOX_WIDTH, 20), style=0)
         distance_unit_txt = wx.StaticText(self, -1, 'Unit: ')  
-        self.distance_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)  
+        self.distance_unit_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH, 20), style=0)  
         self.distance_sizer.AddMany([(distance_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (self.distance_tcl, 0, wx.RIGHT, 10),
@@ -121,11 +127,15 @@
         offset_txt = wx.StaticText(self, -1, 'Offset:') 
         x_offset_txt = wx.StaticText(self, -1, 'x = ')  
-        self.x_offset_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0) 
+        self.x_offset_tcl = wx.TextCtrl(self, -1, 
+                                        size=(_BOX_WIDTH, 20), style=0) 
         y_offset_txt = wx.StaticText(self, -1, 'y = ')  
-        self.y_offset_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0) 
+        self.y_offset_tcl = wx.TextCtrl(self, -1,
+                                         size=(_BOX_WIDTH, 20), style=0) 
         z_offset_txt = wx.StaticText(self, -1, 'z = ')  
-        self.z_offset_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)  
+        self.z_offset_tcl = wx.TextCtrl(self, -1,
+                                         size=(_BOX_WIDTH, 20), style=0)  
         offset_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.offset_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)
+        self.offset_unit_tcl = wx.TextCtrl(self, -1, 
+                                           size=(_BOX_WIDTH, 20), style=0)
         self.offset_sizer.AddMany([(offset_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (x_offset_txt, 0, wx.LEFT, 30),
@@ -145,12 +155,17 @@
         orientation_txt = wx.StaticText(self, -1, 'Orientation:') 
         x_orientation_txt = wx.StaticText(self, -1, 'x = ')  
-        self.x_orientation_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0) 
+        self.x_orientation_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH, 20), style=0) 
         y_orientation_txt = wx.StaticText(self, -1, 'y = ')  
-        self.y_orientation_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0) 
+        self.y_orientation_tcl = wx.TextCtrl(self, -1, 
+                                             size=(_BOX_WIDTH, 20), style=0) 
         z_orientation_txt = wx.StaticText(self, -1, 'z = ')  
-        self.z_orientation_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)  
+        self.z_orientation_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH, 20), style=0)  
         orientation_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.orientation_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20),style=0)  
-        self.orientation_sizer.AddMany([(orientation_txt, 0, wx.LEFT|wx.RIGHT, 10),
+        self.orientation_unit_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH, 20), style=0)  
+        self.orientation_sizer.AddMany([(orientation_txt, 0,
+                                          wx.LEFT|wx.RIGHT, 10),
                                      (x_orientation_txt, 0, wx.LEFT, 7),
                                      (self.x_orientation_tcl, 0, wx.RIGHT, 10),
@@ -160,5 +175,5 @@
                                      (self.z_orientation_tcl, 0, wx.RIGHT, 10),
                                      (orientation_unit_txt, 0, wx.EXPAND),
-                                     (self.orientation_unit_tcl, 0, wx.RIGHT, 10)]) 
+                            (self.orientation_unit_tcl, 0, wx.RIGHT, 10)]) 
         
     def _layout_beam_center(self):
@@ -169,11 +184,15 @@
         beam_center_txt = wx.StaticText(self, -1, 'Beam Center:') 
         x_beam_center_txt = wx.StaticText(self, -1, 'x = ')  
-        self.x_beam_center_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0) 
+        self.x_beam_center_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH, 20), style=0) 
         y_beam_center_txt = wx.StaticText(self, -1, 'y = ')  
-        self.y_beam_center_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0) 
+        self.y_beam_center_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH, 20), style=0) 
         z_beam_center_txt = wx.StaticText(self, -1, 'z = ')  
-        self.z_beam_center_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)  
+        self.z_beam_center_tcl = wx.TextCtrl(self, -1,
+                                              size=(_BOX_WIDTH, 20), style=0)  
         beam_center_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.beam_center_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH, 20), style=0)
+        self.beam_center_unit_tcl = wx.TextCtrl(self, -1,
+                                                 size=(_BOX_WIDTH, 20), style=0)
         self.beam_sizer.AddMany([(beam_center_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (x_beam_center_txt, 0, wx.EXPAND),
@@ -184,5 +203,5 @@
                                      (self.z_beam_center_tcl, 0, wx.RIGHT, 10),
                                      (beam_center_unit_txt, 0, wx.EXPAND),
-                                     (self.beam_center_unit_tcl, 0,wx.RIGHT, 10)])   
+                                (self.beam_center_unit_tcl, 0,wx.RIGHT, 10)])   
     
     def _layout_pixel_size(self):
@@ -193,11 +212,15 @@
         pixel_size_txt = wx.StaticText(self, -1, 'Pixel Size:') 
         x_pixel_size_txt = wx.StaticText(self, -1, 'x = ')  
-        self.x_pixel_size_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.x_pixel_size_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH,20), style=0) 
         y_pixel_size_txt = wx.StaticText(self, -1, 'y = ')  
-        self.y_pixel_size_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0) 
+        self.y_pixel_size_tcl = wx.TextCtrl(self, -1, 
+                                            size=(_BOX_WIDTH,20), style=0) 
         z_pixel_size_txt = wx.StaticText(self, -1, 'z = ')  
-        self.z_pixel_size_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
+        self.z_pixel_size_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH,20), style=0)  
         pixel_size_unit_txt = wx.StaticText(self, -1, 'Unit: ') 
-        self.pixel_size_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)  
+        self.pixel_size_unit_tcl = wx.TextCtrl(self, -1,
+                                             size=(_BOX_WIDTH,20), style=0)  
         self.pixel_sizer.AddMany([(pixel_size_txt, 0, wx.LEFT|wx.RIGHT, 10),
                                      (x_pixel_size_txt, 0, wx.LEFT, 17),
@@ -208,5 +231,5 @@
                                      (self.z_pixel_size_tcl, 0, wx.RIGHT, 10),
                                      (pixel_size_unit_txt, 0, wx.EXPAND),
-                                     (self.pixel_size_unit_tcl, 0, wx.RIGHT, 10)])
+                                (self.pixel_size_unit_tcl, 0, wx.RIGHT, 10)])
     
     def _layout_slit_length(self):
@@ -216,11 +239,13 @@
         #slit length
         slit_length_txt = wx.StaticText(self, -1, 'Slit Length: ')  
-        self.slit_length_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)
+        self.slit_length_tcl = wx.TextCtrl(self, -1,
+                                            size=(_BOX_WIDTH,20), style=0)
         slit_length_unit_txt = wx.StaticText(self, -1, 'Unit: ')  
-        self.slit_length_unit_tcl = wx.TextCtrl(self, -1, size=(_BOX_WIDTH,20), style=0)   
+        self.slit_length_unit_tcl = wx.TextCtrl(self, -1,
+                                                 size=(_BOX_WIDTH,20), style=0)   
         self.slit_sizer.AddMany([(slit_length_txt, 0, wx.LEFT, 10),
                                      (self.slit_length_tcl, 0, wx.RIGHT, 10),
                                      (slit_length_unit_txt, 0, wx.EXPAND),
-                                     (self.slit_length_unit_tcl, 0,wx.RIGHT, 10)])
+                            (self.slit_length_unit_tcl, 0,wx.RIGHT, 10)])
         
     def _layout_button(self):  
@@ -413,5 +438,6 @@
         self.offset_unit_tcl.SetValue(str(detector.offset_unit))
         #Orientation
-        x, y, z = detector.orientation.x, detector.orientation.y, detector.orientation.z
+        x, y = detector.orientation.x, detector.orientation.y
+        z = detector.orientation.z
         self.x_orientation_tcl.SetValue(str(x))  
         self.y_orientation_tcl.SetValue(str(y)) 
@@ -419,5 +445,6 @@
         self.orientation_unit_tcl.SetValue(str(detector.orientation_unit))
         #Beam center
-        x, y, z = detector.beam_center.x, detector.beam_center.y, detector.beam_center.z
+        x, y = detector.beam_center.x, detector.beam_center.y
+        z  =   detector.beam_center.z
         self.x_beam_center_tcl.SetValue(str(x))  
         self.y_beam_center_tcl.SetValue(str(y)) 
@@ -425,5 +452,6 @@
         self.beam_center_unit_tcl.SetValue(str(detector.beam_center_unit))
         #Pixel size 
-        x, y, z = detector.pixel_size.x, detector.pixel_size.y, detector.pixel_size.z
+        x, y = detector.pixel_size.x, detector.pixel_size.y
+        z = detector.pixel_size.z
         self.x_pixel_size_tcl.SetValue(str(x))  
         self.y_pixel_size_tcl.SetValue(str(y)) 
@@ -485,5 +513,6 @@
                     detector.distance = float(distance)
             else:
-                self._notes += "Error: Expected a float for the distance won't changes "
+                self._notes += "Error: Expected a float for "
+                self._notes += " the distance won't changes "
                 self._notes += "%s to %s"%(detector.distance, distance)
         #change the distance unit
@@ -513,10 +542,11 @@
                 if detector.offset.x != float(x_offset):
                     self._notes += "Change x of offset from"
-                    self._notes += " %s to %s \n"%(detector.offset.x, x_offset)
+                    self._notes += " %s to %s \n" % (detector.offset.x,
+                                                      x_offset)
                     detector.offset.x = float(x_offset)
             else:
                 self._notes += "Error: Expected a float for the offset 's x "
                 self._notes += "won't changes x offset"
-                self._notes += " from %s to %s"%(detector.offset.x, x_offset)
+                self._notes += " from %s to %s" % (detector.offset.x, x_offset)
         #Change y coordinate
         y_offset = self.y_offset_tcl.GetValue().lstrip().rstrip()
@@ -533,6 +563,6 @@
                 self._notes += "Error: Expected a float for the offset 's y "
                 self._notes += "won't changes y "
-                self._notes += "offset from %s to %s"%(detector.offset.y\
-                                                         ,y_offset)
+                self._notes += "offset from %s to %s"%(detector.offset.y,
+                                                         y_offset)
         #Change z coordinate
         z_offset = self.z_offset_tcl.GetValue().lstrip().rstrip()
@@ -543,6 +573,6 @@
             if check_float(self.z_offset_tcl):
                 if detector.offset.z != float(z_offset):
-                    self._notes += "Change z of"
-                    self._notes += "offset from %s to %s \n"%(detector.offset.z,\
+                    self._notes += "Change z of offset from"
+                    self._notes += " %s to %s \n" % (detector.offset.z,
                                                               z_offset)
                     detector.offset.z  = float(z_offset)
@@ -550,10 +580,11 @@
                 self._notes += "Error: Expected a float for the offset 's x "
                 self._notes += "won't changes z"
-                self._notes += "offset from %s to %s"%(detector.offset.z, z_offset)
+                self._notes += "offset from %s to %s" % (detector.offset.z, 
+                                                       z_offset)
         #change the offset unit
         unit = self.offset_unit_tcl.GetValue().lstrip().rstrip()
         if detector.offset_unit != unit:
             self._notes += " Change Offset's"
-            self._notes += "unit from %s to %s"%(detector.offset_unit, unit)
+            self._notes += "unit from %s to %s" % (detector.offset_unit, unit)
             
         self.detector_cbox.SetString(position, str(detector.name)) 
@@ -577,10 +608,12 @@
                 if detector.orientation.x != float(x_orientation):
                     self._notes += "Change x of orientation from "
-                    self._notes += "%s to %s \n"%(detector.orientation.x, x_orientation)
+                    self._notes += "%s to %s \n" % (detector.orientation.x,
+                                                   x_orientation)
                     detector.orientation.x  = float(x_orientation)
             else:
-                self._notes += "Error: Expected a float for the orientation 's x "
-                self._notes += "won't changes x orientation from "
-                self._notes += "%s to %s"%(detector.orientation.x, x_orientation)
+                self._notes += "Error: Expected a float for the orientation "
+                self._notes += "'s x  won't changes x orientation from "
+                self._notes += "%s to %s" % (detector.orientation.x,
+                                              x_orientation)
         #Change y coordinate
         y_orientation = self.y_orientation_tcl.GetValue().lstrip().rstrip()
@@ -592,10 +625,12 @@
                 if detector.orientation.y != float(y_orientation):
                     self._notes += "Change y of orientation from "
-                    self._notes += "%s to %s \n"%(detector.orientation.y, y_orientation)
+                    self._notes += "%s to %s \n" % (detector.orientation.y,
+                                                     y_orientation)
                     detector.orientation.y  = float(y_orientation)
             else:
-                self._notes += "Error: Expected a float for the orientation's y "
-                self._notes += "won't changes y orientation from "
-                self._notes += "%s to %s"%(detector.orientation.y, y_orientation)
+                self._notes += "Error: Expected a float for the orientation's "
+                self._notes += " y won't changes y orientation from "
+                self._notes += "%s to %s" % (detector.orientation.y,
+                                            y_orientation)
         #Change z coordinate
         z_orientation = self.z_orientation_tcl.GetValue().lstrip().rstrip()
@@ -607,10 +642,12 @@
                 if detector.orientation.z != float(z_orientation):
                     self._notes += "Change z of offset from "
-                    self._notes += "%s to %s \n"%(detector.orientation.z, z_orientation)
+                    self._notes += "%s to %s \n"%(detector.orientation.z,
+                                                   z_orientation)
                     detector.orientation.z  = float(z_orientation)
             else:
-                self._notes += "Error: Expected a float for the orientation 's x "
-                self._notes += "won't changes z orientation from "
-                self._notes += "%s to %s"%(detector.orientation.z, z_orientation)
+                self._notes += "Error: Expected a float for the orientation 's"
+                self._notes += " x won't changes z orientation from "
+                self._notes += "%s to %s" % (detector.orientation.z,
+                                              z_orientation)
         #change the orientation unit
         unit = self.orientation_unit_tcl.GetValue().lstrip().rstrip()
@@ -640,10 +677,12 @@
                 if detector.beam_center.x != float(x_beam_center):
                     self._notes += "Change x of offset from "
-                    self._notes += "%s to %s \n"%(detector.beam_center.x, x_beam_center)
+                    self._notes += "%s to %s \n" % (detector.beam_center.x,
+                                                     x_beam_center)
                     detector.beam_center.x  = float(x_beam_center)
             else:
-                self._notes += "Error: Expected a float for the beam center 's x "
-                self._notes += "won't changes x beam center from "
-                self._notes += "%s to %s"%(detector.beam_center.x, x_beam_center)
+                self._notes += "Error: Expected a float for the beam "
+                self._notes += "center 's x won't changes x beam center from "
+                self._notes += "%s to %s" % (detector.beam_center.x,
+                                            x_beam_center)
         #Change y coordinate
         y_beam_center = self.y_beam_center_tcl.GetValue().lstrip().rstrip()
@@ -655,10 +694,12 @@
                 if detector.beam_center.y != float(y_beam_center):
                     self._notes += "Change y of beam center from "
-                    self._notes += "%s to %s \n"%(detector.beam_center.y, y_beam_center)
+                    self._notes += "%s to %s \n" % (detector.beam_center.y,
+                                                     y_beam_center)
                     detector.beam_center.y  = float(y_beam_center)
             else:
-                self._notes += "Error: Expected a float for the beam center 's y "
-                self._notes += "won't changes y beam center from "
-                self._notes += "%s to %s"%(detector.beam_center.y, y_beam_center)
+                self._notes += "Error: Expected a float for the beam "
+                self._notes += "center 's y won't changes y beam center from "
+                self._notes += "%s to %s" % (detector.beam_center.y,
+                                              y_beam_center)
         #Change z coordinate
         z_beam_center = self.z_beam_center_tcl.GetValue().lstrip().rstrip()
@@ -670,10 +711,12 @@
                 if detector.beam_center.z != float(z_beam_center):
                     self._notes += "Change z of beam center from "
-                    self._notes += "%s to %s \n"%(detector.beam_center.z, z_beam_center)
+                    self._notes += "%s to %s \n" % (detector.beam_center.z,
+                                                     z_beam_center)
                     detector.beam_center.z  = float(z_beam_center)
             else:
                 self._notes += "Error: Expected a float for the offset 's x "
                 self._notes += "won't changes z beam center from "
-                self._notes += "%s to %s"%(detector.beam_center.z, z_beam_center)
+                self._notes += "%s to %s"%(detector.beam_center.z,
+                                            z_beam_center)
         #change the beam center unit
         unit = self.beam_center_unit_tcl.GetValue().lstrip().rstrip()
@@ -701,10 +744,12 @@
                 if detector.pixel_size.x != float(x_pixel_size) :
                     self._notes += "Change x of pixel size from "
-                    self._notes += "%s to %s \n"%(detector.pixel_size.x, x_pixel_size)
+                    self._notes += "%s to %s \n"%(detector.pixel_size.x,
+                                                   x_pixel_size)
                     detector.pixel_size.x  = float(x_pixel_size)
             else:
-                self._notes += "Error: Expected a float for the pixel size 's x "
-                self._notes += "won't changes x pixel size from "
-                self._notes += "%s to %s"%(detector.pixel_size.x, x_pixel_size)
+                self._notes += "Error: Expected a float for the pixel"
+                self._notes += " size 's x  won't changes x pixel size from "
+                self._notes += "%s to %s" % (detector.pixel_size.x, 
+                                             x_pixel_size)
         #Change y coordinate
         y_pixel_size = self.y_pixel_size_tcl.GetValue().lstrip().rstrip()
@@ -716,10 +761,12 @@
                 if detector.pixel_size.y != float(y_pixel_size):
                     self._notes += "Change y of pixel size from "
-                    self._notes += "%s to %s \n"%(detector.pixel_size.y, y_pixel_size)
+                    self._notes += "%s to %s \n"%(detector.pixel_size.y,
+                                                   y_pixel_size)
                     detector.pixel_size.y  = float(y_pixel_size)
             else:
-                self._notes += "Error: Expected a float for the pixel size's y "
-                self._notes += "won't changes y pixel size from "
-                self._notes += "%s to %s"%(detector.pixel_size.y, y_pixel_size)
+                self._notes += "Error: Expected a float for the pixel "
+                self._notes += "size's y  won't changes y pixel size from "
+                self._notes += "%s to %s" % (detector.pixel_size.y,
+                                              y_pixel_size)
         #Change z coordinate
         z_pixel_size = self.z_pixel_size_tcl.GetValue().lstrip().rstrip()
@@ -731,5 +778,6 @@
                 if detector.pixel_size.z != float(z_pixel_size):
                     self._notes += "Change z of pixel size from "
-                    self._notes += "%s to %s \n"%(detector.pixel_size.z, z_pixel_size)
+                    self._notes += "%s to %s \n"%(detector.pixel_size.z,
+                                                   z_pixel_size)
                     detector.pixel_size.z  = float(z_pixel_size)
             else:
@@ -763,9 +811,11 @@
                 if detector.slit_length != float(slit_length):
                     self._notes += " Change slit length from"
-                    self._notes += " %s to %s \n"%(detector.slit_length, slit_length)
+                    self._notes += " %s to %s \n"%(detector.slit_length,
+                                                    slit_length)
                     detector.slit_length = float(slit_length)
             else:
-                self._notes += "Error: Expected a float for the slit length won't changes "
-                self._notes += "%s to %s"%(detector.slit_length, slit_length)
+                self._notes += "Error: Expected a float"
+                self._notes += " for the slit length won't changes "
+                self._notes += "%s to %s" % (detector.slit_length, slit_length)
         #change the distance unit
         unit = self.slit_length_unit_tcl.GetValue().lstrip().rstrip()
@@ -804,6 +854,6 @@
 if __name__ == "__main__":
     app = wx.App()
-    detector = Detector()
-    dlg = DetectorDialog(detector=[detector])
+    test_detector = Detector()
+    dlg = DetectorDialog(detector=[test_detector])
     dlg.ShowModal()
     app.MainLoop()
Index: calculatorview/perspectives/calculator/help_panel.py
===================================================================
--- calculatorview/perspectives/calculator/help_panel.py	(revision 74b1770c459412a087638d5bfaae3d22dc9df204)
+++ calculatorview/perspectives/calculator/help_panel.py	(revision b0ab6cb339551bb39f126bcd9d13b2a9dd73ddbe)
@@ -1,73 +1,24 @@
 #!/usr/bin/python
+"""
+Help panel for calculator
+"""
+import os
 import wx
 import wx.html as html
 from wx.lib.splitter import MultiSplitterWindow
 import sans.perspectives.calculator as calculator
-import os
-def help():
-    """
-        Provide general online help text
-        Future work: extend this function to allow topic selection
-    """
-    info_txt  = "The inversion approach is based on Moore, J. Appl. Cryst. (1980) 13, 168-175.\n\n"
-    info_txt += "P(r) is set to be equal to an expansion of base functions of the type "
-    info_txt += "phi_n(r) = 2*r*sin(pi*n*r/D_max). The coefficient of each base functions "
-    info_txt += "in the expansion is found by performing a least square fit with the "
-    info_txt += "following fit function:\n\n"
-    info_txt += "chi**2 = sum_i[ I_meas(q_i) - I_th(q_i) ]**2/error**2 + Reg_term\n\n"
-    info_txt += "where I_meas(q) is the measured scattering intensity and I_th(q) is "
-    info_txt += "the prediction from the Fourier transform of the P(r) expansion. "
-    info_txt += "The Reg_term term is a regularization term set to the second derivative "
-    info_txt += "d**2P(r)/dr**2 integrated over r. It is used to produce a smooth P(r) output.\n\n"
-    info_txt += "The following are user inputs:\n\n"
-    info_txt += "   - Number of terms: the number of base functions in the P(r) expansion.\n\n"
-    info_txt += "   - Regularization constant: a multiplicative constant to set the size of "
-    info_txt += "the regularization term.\n\n"
-    info_txt += "   - Maximum distance: the maximum distance between any two points in the system.\n"
-     
-    return info_txt
-    
-class HelpDialog(wx.Dialog):
-    def __init__(self, parent, id):
-      
-        wx.Dialog.__init__(self, parent, id, size=(400, 420))
-        self.SetTitle("Calculator help") 
-        
-
-        vbox = wx.BoxSizer(wx.VERTICAL)
-
-        explanation = help()
-           
-        label_explain = wx.StaticText(self, -1, explanation, size=(350,320))
-            
-        vbox.Add(label_explain, 0, wx.ALL|wx.EXPAND, 15)
 
 
-        static_line = wx.StaticLine(self, -1)
-        vbox.Add(static_line, 0, wx.EXPAND, 0)
-        
-        button_OK = wx.Button(self, wx.ID_OK, "OK")
-
-        sizer_button = wx.BoxSizer(wx.HORIZONTAL)
-        sizer_button.Add((20, 20), 1, wx.EXPAND|wx.ADJUST_MINSIZE, 0)
-        sizer_button.Add(button_OK, 0, wx.LEFT|wx.RIGHT|wx.ADJUST_MINSIZE, 10)       
-        vbox.Add(sizer_button, 0, wx.EXPAND|wx.BOTTOM|wx.TOP, 10)
-
-        self.SetSizer(vbox)
-        self.SetAutoLayout(True)
-        
-        self.Layout()
-        self.Centre()
-
 class HelpWindow(wx.Frame):
-    def __init__(self, parent, id, title= 'HelpWindow', pageToOpen=None):
-        wx.Frame.__init__(self, parent, id, title, size=(700, 450))
+    """
+    """
+    def __init__(self, parent, title='HelpWindow', pageToOpen=None):
+        wx.Frame.__init__(self, parent, title, size=(700, 450))
         """
              contains help info
         """
-      
         splitter = MultiSplitterWindow(self, style=wx.SP_LIVE_UPDATE)
         rpanel = wx.Panel(splitter, -1)
-        lpanel = wx.Panel(splitter, -1,style=wx.BORDER_SUNKEN)
+        lpanel = wx.Panel(splitter, -1, style=wx.BORDER_SUNKEN)
         
         vbox = wx.BoxSizer(wx.VERTICAL)
@@ -84,5 +35,5 @@
         vbox.Add(header, 0, wx.EXPAND)
        
-        vboxl= wx.BoxSizer(wx.VERTICAL)
+        vboxl = wx.BoxSizer(wx.VERTICAL)
         headerl = wx.Panel(lpanel, -1, size=(-1, 20))
        
@@ -103,6 +54,5 @@
         self.path = calculator.get_data_path(media='media')
        
-       
-        page1="""<html>
+        page1 = """<html>
             <body>
              <p>Select topic on Menu</p>
@@ -110,10 +60,13 @@
             </html>"""
         self.rhelp.SetPage(page1)
-        page="""<html>
+        page = """<html>
             <body>
             <ul>
-            <li><a href ="sld_calculator_help.html" target ="showframe">SLD Calculator</a><br></li>
-            <li><a href ="slit_calculator_help.html" target ="showframe">Slit Size Calculator</a><br></li>
-            <li><a href ="kiessig_calculator_help.html" target ="showframe">Kiessig Thickness Calculator</a><br></li>
+            <li><a href ="sld_calculator_help.html" 
+            target ="showframe">SLD Calculator</a><br></li>
+            <li><a href ="slit_calculator_help.html" 
+            target ="showframe">Slit Size Calculator</a><br></li>
+            <li><a href ="kiessig_calculator_help.html" 
+            target ="showframe">Kiessig Thickness Calculator</a><br></li>
             </ul>
             </body>
@@ -121,7 +74,7 @@
 
         self.lhelp.SetPage(page)
-        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED,self.OnLinkClicked )
+        self.lhelp.Bind(wx.html.EVT_HTML_LINK_CLICKED, self.OnLinkClicked)
         
-        vbox.Add(self.rhelp,1, wx.EXPAND)
+        vbox.Add(self.rhelp, 1, wx.EXPAND)
         vboxl.Add(self.lhelp, 1, wx.EXPAND)
         rpanel.SetSizer(vbox)
@@ -130,5 +83,5 @@
         
         vbox1 = wx.BoxSizer(wx.HORIZONTAL)
-        vbox1.Add(splitter,1,wx.EXPAND)
+        vbox1.Add(splitter, 1, wx.EXPAND)
         splitter.AppendWindow(lpanel, 200)
         splitter.AppendWindow(rpanel)
@@ -138,13 +91,12 @@
         self.Show(True)
         
-        
     def OnLinkClicked(self, event):
         """
             Function to diplay html page related to the hyperlinktext selected
         """
-       
-        link= event.GetLinkInfo().GetHref()
-        link = os.path.join(self.path,link)
+        link = event.GetLinkInfo().GetHref()
+        link = os.path.join(self.path, link)
         self.rhelp.LoadPage(link)
+        
         
 class ViewApp(wx.App):
@@ -153,8 +105,6 @@
         frame.Show(True)
         self.SetTopWindow(frame)
-        
         return True
         
-
 if __name__ == "__main__": 
     app = ViewApp(0)
